WS(4) | Device Drivers Manual | WS(4)

# NAME

WS - wscons pointer input driver for Xorg on *BSD

# SYNOPSIS

    Section "InputDevice"
        Identifier "name"
        Driver "ws"
        Option "Buttons" "integer"
        Option "Emulate3Buttons" "boolean"
        Option "Emulate3Timeout" "integer"
        Option "DebugLevel" "integer"
        Option "Device"  "path"
        Option "MinX" "integer"
        Option "MaxX" "integer"
        Option "MinY" "integer"
        Option "MaxY" "integer"
        Option "Raw" "boolean"
        Option "Rotate" "string"
        Option "SwapXY" "boolean"
        Option "ZAxisMapping" "N1 N2"
        Option "WAxisMapping" "N1 N2"
    EndSection

# DESCRIPTION

ws is an XFree86/X.Org input driver for pointer devices (mouse, tablet, touchscreen,...) driven by the wscons console driver on OpenBSD.

# SUPPORTED HARDWARE

This driver supports zts(4), the touchscreen of Zaurus machines, uts(4), USB touchscreens and ums(4), generic USB mouse devices.

# CONFIGURATION DETAILS

Please refer to xorg.conf(5) for general configuration details and for options that can be used with all input drivers. This section only covers configuration details specific to this driver.

Option "Buttons" "integer"
  Specifies the number of mouse buttons. In cases where the number of buttons cannot be auto-detected, the default value is 3.
Option "Emulate3Buttons" "boolean"
  Enable/disable the emulation of the middle mouse button for mice which only have two physical buttons. The third button is emulated by pressing both buttons simultaneously. Default: on, until a middle button event is detected.
Option "Emulate3Timeout" "integer"
  Sets the timeout (in milliseconds) that the driver waits before deciding if two buttons where pressed "simultaneously" when 3 button emulation is enabled. Default: 50.
Option "DebugLevel" "integer"
  This option sets the verbosity level of the driver. It defaults to 0, which means no extra debug output.
Option "Device" "path"
  sets the path to the special file used by the device, ususally /dev/wsmouse . This option is mandatory.
Option "MinX" "integer"
Option "MaxX" "integer"
Option "MinY" "integer"
Option "MaxY" "integer"
  These options represent the coordinate space returned by the device. They default to the screen dimensions, since the calibration is handled in the kernel by the zts(4) driver and the ztsscale(8) utility.
Option "Raw" "boolean"
  This option selects the raw (uncalibrated) mode for tablet devices. It defaults to True. When using raw mode, if no coordinate space is specified by the above options, the coordinate space will be read from the kernel calibration data.
Option "Rotate" "CW"
Option "Rotate" "CCW"
Option "Rotate" "UD"
  These options rotate the screen coordinates returned by the driver clockwise, counter-clockwise, or upside-down respectively.
Option "SwapXY" "boolean"
  swaps the X and Y axis of the input device if set. Default: false.
Option "ZAxisMapping" "N1 N2"
  Set the mapping for the Z axis (wheel) motion to buttons. Button number N1 is mapped to the negative Z axis motion and button N2 is mapped to the positive Z axis motion. Default: no mapping. Option "WAxisMapping" "N1 N2" Set the mapping for the W axis (horizontal wheel) motion to buttons. Button number N1 is mapped to the negative W axis motion and button N2 is mapped to the positive W axis motion. Default: no mapping.

# SUPPORTED PROPERTIES

The following properties are provided by the ws driver.

WS Pointer Middle Button Emulation
  1 boolean value (8 bit, 0 or 1)
WS Pointer Middle Button Timeout
  1 16-bit positive value (unit: milliseconds)
WS Pointer Axis Calibration
  4 32 bits values, in the order min-x, max-x, min-y, max-y. This property is present only for devices with absolute coordinates (ie tablets and touchscreens).
WS Pointer Axes Swap
  1 boolean value (8 bits, 0 or 1). 1 swaps x/y axes. This property is present only for devices with absolute coordinates (ie tablets and touchscreens).

# SEE ALSO

Xorg(1), xinput(1), xorg.conf(5), ums(4), uts(4), zts(4), sysctl(8), xtsscale(8), ztsscale(8).

X Version 11 |